# Uses of Interface
org.bukkit.entity.Egg

Packages that use Egg
Package
Description
com.destroystokyo.paper.event.entity
org.bukkit.event.player
`Events` relating to `players`.

## Uses of Egg in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Egg
Modifier and Type
Method
Description
`@NotNull Egg`
ThrownEggHatchEvent.`getEgg()`
Gets the egg involved in this event.
Constructors in com.destroystokyo.paper.event.entity with parameters of type Egg
Modifier
Constructor
Description
``
`ThrownEggHatchEvent(@NotNull Egg egg, boolean hatching, byte numHatches, @NotNull EntityType hatchingType)`

## Uses of Egg in org.bukkit.event.player

Methods in org.bukkit.event.player that return Egg
Modifier and Type
Method
Description
`@NotNull Egg`
PlayerEggThrowEvent.`getEgg()`
Gets the egg involved in this event.
Constructors in org.bukkit.event.player with parameters of type Egg
Modifier
Constructor
Description
``
`PlayerEggThrowEvent(@NotNull Player player, @NotNull Egg egg, boolean hatching, byte numHatches, @NotNull EntityType hatchingType)`